/**
 * Created by nigel.britton on 11/08/2015.
 */
jQuery(document).ready(function($){
    $('#theme-switcher-wrapper a.toggle').click(function(e){
        e.preventDefault();
        if ($('#theme-switcher-wrapper .theme-switcher-options').hasClass('open')) {
            $('#theme-switcher-wrapper .theme-switcher-options').removeClass('open');
        } else {
            $('#theme-switcher-wrapper .theme-switcher-options').addClass('open');
        }
    });
    
    $('#themeswitcher li a').click(function(e){
        e.preventDefault();

        // clean up old buttons
        $('#themeswitcher li').removeClass('selected');

        var themeBackgroundSelections = [];
        $('#themeswitcher li').each(function(index){
            themeBackgroundSelections.push( $(this).attr('class') );
        });

        for(var i = 0; i < themeBackgroundSelections.length; i++){
            if ( $('body').hasClass(themeBackgroundSelections[i]) ) {
                $('body').removeClass(themeBackgroundSelections[i]);
            }
        }

        // store current selection
        window.themeBackgroundSelected = $(this).parent().attr('class');

        // mark current selection
        $(this).parent().addClass('selected');
        $('body').addClass(themeBackgroundSelected);

        jQuery.cookie('wptheme', themeBackgroundSelected, { expires: 7, path: '/' });

    });

    if ( null === jQuery.cookie('wptheme') ) {
        // jQuery.cookie('wptheme', $('#themeswitcher').data('ts-default'), { expires: 7 });
        window.themeBackgroundSelected = $('#themeswitcher').data('ts-default');
    } else {
        window.themeBackgroundSelected = jQuery.cookie('wptheme');
    }
    $('body').addClass(themeBackgroundSelected);

});